## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASADefaultWrapper

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseASADefaultWrapperImpl

    public interface SybaseASADefaultWrapper

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Sybase ASA Default Wrapper'.

The following features are supported:

- `Value`
- `Is Literal`
- `Partition Size`
- `Type`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper()`

Field Summary
`static java.lang.String[]` `BINARY_TYPE_SYSTEM_DEFAULTS`
`static java.lang.String[]` `DATE_TYPE_SYSTEM_DEFAULTS`
`static java.lang.String` `GLOBAL_AUTOINCREMENT`
`static java.lang.String[]` `NUMERIC_TYPE_SYSTEM_DEFAULTS`
`static java.lang.String[]` `NUMERIC_TYPE_SYSTEM_DEFAULTS_NO_GLOBAL_AUTO`
`static java.lang.String[]` `STRING_TYPE_SYSTEM_DEFAULTS`
`static java.lang.String` `TIME_TYPE`
`static java.lang.String[]` `TIME_TYPE_SYSTEM_DEFAULTS`
`static java.lang.String` `TIMESTAMP_TYPE`
`static java.lang.String[]` `TS_TYPE_SYSTEM_DEFAULTS`

Method Summary
`int` `getPartitionSize()` Returns the value of the 'Partition Size' attribute.
`java.lang.String` `getRawValue()`
`TypeOfDefault` `getType()` Returns the value of the 'Type' attribute.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`boolean` `isIsLiteral()` Returns the value of the 'Is Literal' attribute.
`boolean` `isSystemDefault()`
`void` `parse()`
`void` `setIsLiteral(boolean value)` Sets the value of the '`Is Literal`' attribute.
`void` `setPartitionSize(int value)` Sets the value of the '`Partition Size`' attribute.
`void` `setType(TypeOfDefault value)` Sets the value of the '`Type`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### STRING_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] STRING_TYPE_SYSTEM_DEFAULTS

### NUMERIC_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] NUMERIC_TYPE_SYSTEM_DEFAULTS

### NUMERIC_TYPE_SYSTEM_DEFAULTS_NO_GLOBAL_AUTO

    static final java.lang.String[] NUMERIC_TYPE_SYSTEM_DEFAULTS_NO_GLOBAL_AUTO

### TIME_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] TIME_TYPE_SYSTEM_DEFAULTS

### DATE_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] DATE_TYPE_SYSTEM_DEFAULTS

### TS_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] TS_TYPE_SYSTEM_DEFAULTS

### BINARY_TYPE_SYSTEM_DEFAULTS

    static final java.lang.String[] BINARY_TYPE_SYSTEM_DEFAULTS

### GLOBAL_AUTOINCREMENT

    static final java.lang.String GLOBAL_AUTOINCREMENT

See Also:
  Constant Field Values

### TIME_TYPE

    static final java.lang.String TIME_TYPE

See Also:
  Constant Field Values

### TIMESTAMP_TYPE

    static final java.lang.String TIMESTAMP_TYPE

See Also:
  Constant Field Values

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### isIsLiteral

    boolean isIsLiteral()

  Returns the value of the 'Is Literal' attribute.

  If the meaning of the 'Is Literal' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Literal' attribute.
  See Also:
    `setIsLiteral(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_IsLiteral()`

### setIsLiteral

    void setIsLiteral(boolean value)

  Sets the value of the '`Is Literal`' attribute.

  Parameters:
    `value` - the new value of the 'Is Literal' attribute.
  See Also:
    `isIsLiteral()`

### getPartitionSize

    int getPartitionSize()

  Returns the value of the 'Partition Size' attribute. The default value is `"-1"`.

  If the meaning of the 'Partition Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Size' attribute.
  See Also:
    `setPartitionSize(int)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_PartitionSize()`

### setPartitionSize

    void setPartitionSize(int value)

  Sets the value of the '`Partition Size`' attribute.

  Parameters:
    `value` - the new value of the 'Partition Size' attribute.
  See Also:
    `getPartitionSize()`

### getType

    TypeOfDefault getType()

  Returns the value of the 'Type' attribute. The literals are from the enumeration `TypeOfDefault`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `TypeOfDefault`, `setType(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_Type()`

### setType

    void setType(TypeOfDefault value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `TypeOfDefault`, `getType()`

### parse

    void parse()

### getRawValue

    java.lang.String getRawValue()

### isSystemDefault

    boolean isSystemDefault()